import { geoAlbers, geoPath, geoGraticule } from 'd3';

//const projection = d3.geoNaturalEarth1();
//const projection = d3.geoAzimuthalEqualArea();
//const projection = d3.geoAzimuthalEquidistant();

const projection = geoAlbers();
const pathOfState = geoPath(projection);
const graticule = geoGraticule();

// function getRandomColor() {
//         var letters = '0123456789ABCDEF';
//         var color = '#';
//         for (var i = 0; i < 6; i++) {
//             color += letters[Math.floor(Math.random() * 16)];
//         }
//         return color;
//     }
//     var sampleData = {}; /* Sample random data. */
//     ["AP", "AR", "AS", "BR", "CT", "DL", "GA", "GJ", "HR", "HP", "JK", "JH", "KA", "KL", "MP", "MH", "MN", "ML", "MZ", "NL", "OR", "PB", "RJ", "SK", "TN", "TR", "UP", "UT", "WB"]
//     .forEach(function(d) {
//         var low = Math.round(100 * Math.random());
//         sampleData[d] = { color: getRandomColor()};
//     });

var colorLut = d3.scaleThreshold()
//    .domain(d3.range(0.01, 0.14))
    .domain(d3.range(2, 10))
    .range(d3.schemeGreens[9]);
//    .range(d3.schemeBlues[9]);

export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    <path className="sphere" d={pathOfState({ type: 'Sphere' })} />
    {land.features.map(feature => (
      <path
        className="land1"
        d={pathOfState(feature)}
     		fill={function(d) {
        console.log(d);
        return colorLut(d.rate = rateMap.get(d.id));
      	}}
        fill = "#00008F"
//        fill={function(d) { return sampleData[d.id].color; }}
      />
    ))}
    <path className="interiors" d={pathOfState(interiors)} />
    <text
      className="interiors"
      text="Hellowsdafkaj"
      transform={function(d) {
        var bbox = this.parentNode.getBBox();
        console.log(bbox);
        return (
          'translate(' +
          (bbox.x + bbox.width / 2) +
          ',' +
          (bbox.y + bbox.height / 2) +
          ')'
        );
      }}
    />
  </g>
);
